Bug 103132 - GTX 1060 6GB corrupts screen drawing in Konsole and other apps
Summary: GTX 1060 6GB corrupts screen drawing in Konsole and other apps
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-07 10:18 UTC by barry
Modified: 2018-01-29 17:35 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
dmesg output (68.10 KB, text/plain)
2017-10-07 10:18 UTC, barry
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description barry 2017-10-07 10:18:39 UTC
Created attachment 134723 [details]
dmesg output

After updating to fedora kernel 4.12.5-300 from 4.11.11-300 screen is drawn with
corrupt areas.

For example login using KDE and start a new Konsole and start typing at the bash prompt to see the problem.

Text is not drawn cleanly, it is overlayed with blobs that come and go.

Also seen in PyQt apps and firefix.

Problem is still present in 4.13.4-200.fc26.x86_64.
Comment 1 barry 2017-10-11 19:05:39 UTC
On Saturday, 7 October 2017 11:20:03 BST bugzilla-daemon@freedesktop.org 
wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=103132
> 
> barry@barrys-emacs.org changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> Summary|GTX 1060 6GB corrupts       |GTX 1060 6GB corrupts
>                    |screen drawing in Kconsole
  |screen drawing in Konsole
>                    |and other apps              |and other apps

Is there any experiment I can run to help debug this?

Barry
Comment 2 Ilia Mirkin 2017-10-11 19:14:42 UTC
My guess is that the difference is due to enablement of acceleration? Not sure if that's when GP106 happened though. You could boot with nouveau.noaccel=1 to disable it.

I've recently fixed a bug in mesa introduced in 17.2 which could maybe cause some of these issues. What version of mesa are you using? [commit b20bccbcacc6170cfc4f18332491131df5bac811 upstream.]

"Overlayed with blobs" generally means either texture corruption or ... something else.

Are you using the 'modesetting' DDX? If so, I strongly recommend using the 'nouveau' one.
Comment 3 barry 2017-10-14 09:37:06 UTC
nouveau.noaccel=1 seems to fix the problem.

But your "modesetting" DDX comment made me dig into the Xorg config.
I was using the modesetting DDX and added the following config:

$ cat /etc/X11/xorg.conf.d/20-nouveau.conf 
Section "Device"
    Identifier "Nvidia card"
    Driver "nouveau"
EndSection

That also seems to fix the problem.

I'm saying "seems" because I have not done a lot of testing.

I will update this bug once I have made sure this is "user error" (no nouveau config).

Oh and mesa is at 17.2.2-2.fc26.x86_64.
Comment 4 barry 2017-10-15 13:08:09 UTC
The problems are all gone.

Please chalk this up to user error
- did not configure Xorg to use the nouveau driver.
Comment 5 Ilia Mirkin 2017-10-15 13:44:57 UTC
(In reply to barry from comment #4)
> The problems are all gone.
> 
> Please chalk this up to user error
> - did not configure Xorg to use the nouveau driver.

More like "distro error" -- "listened to the cacophony of people saying modesetting is the way to go".

The real issue is that there's some issue in the GL, hence the display issues. Now they will be limited to applications that use GL [which sadly is "a lot" these days].
Comment 6 barry 2017-10-16 17:48:34 UTC
I raised this with fedora:

https://bugzilla.redhat.com/show_bug.cgi?id=1483037

and have updated to comment that the wrong driver is might be used by default.
Comment 7 caguduzexi 2018-01-29 14:04:03 UTC
I wont recommend using/keeping the GP106 (GTX 1060). It cant ever run with free software: https://www.theregister.co.uk/2015/04/15/nvidia_gtx_900_linux_driver_roadbloack/
https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2017
https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2016-NVIDIA

Sell this crappy GP102 card away and go away from nvidia. Nvidia died with the 780ti card. Its the last end-user card that can be used normaly. Everything else is in some countries even a legal problem. Because the manufacturer (nvidia) blocks the users from beeing able to boot the software they want on THEIR hardware - happyly illegal in some countries. Hopefully some layer would sue the heck out of nvidia so that they would have to release the private signing key or close their doors.
Blocking the freedom of the users on such way should not be accepted by anyone.
Comment 8 Martin Peres 2018-01-29 17:35:33 UTC
(In reply to caguduzexi from comment #7)
> I wont recommend using/keeping the GP106 (GTX 1060). It cant ever run with
> free software:
> https://www.theregister.co.uk/2015/04/15/
> nvidia_gtx_900_linux_driver_roadbloack/
> https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2017
> https://www.phoronix.com/scan.php?page=news_item&px=Nouveau-XDC2016-NVIDIA
> 
> Sell this crappy GP102 card away and go away from nvidia. Nvidia died with
> the 780ti card. Its the last end-user card that can be used normaly.
> Everything else is in some countries even a legal problem. Because the
> manufacturer (nvidia) blocks the users from beeing able to boot the software
> they want on THEIR hardware - happyly illegal in some countries. Hopefully
> some layer would sue the heck out of nvidia so that they would have to
> release the private signing key or close their doors.
> Blocking the freedom of the users on such way should not be accepted by
> anyone.

User banned


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.